#!/bin/sh
echo "Changing all VARBASE to LOCALSTATEDIR"
find . ! -path "*/CVS/*" -type f ! -name "*.orig" -exec sed -i "s/VARBASE/LOCALSTATEDIR/g" "{}" \;

echo "List LOCALSTATEDIR lines:"
fgrep -r LOCALSTATEDIR .

echo "Show CVS diff"
cvs diff .

make show=MAINTAINER

echo -n "Bump? "
read
case $REPLY in
    [yY]) portbump; ;;
esac

echo -n "Testbuild? "
read
case $REPLY in
    [yY]) make clean=all; make -j 12 fetch; make package; portcheck; ;;
esac

echo -n "Portcheck? "
read
case $REPLY in
    [yY]) portcheck; ;;
esac

echo -n "make port-lib-depends-check? "
read
case $REPLY in
    [yY]) make port-lib-depends-check; ;;
esac
